import { useOutlet } from "react-router-dom";

import ComponentErrorBoundary from "@greatness/components/src/ComponentErrorBoundary";

import HomePageWrapper from "./HomePageWrapper";

export default function HomeViewBase() {
  const outlet = useOutlet();
  return (
    <ComponentErrorBoundary>
      <HomePageWrapper>{outlet}</HomePageWrapper>
    </ComponentErrorBoundary>
  );
}
